RDKit: RDKit::MolStandardize::ValidationMethod Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::ValidationMethod Class Referenceabstract

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::ValidationMethod:

## Public Member Functions
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default
virtual std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const =0
virtual std::shared_ptr< ValidationMethod > | copy () const =0

## Detailed Description

The ValidationMethod class is the abstract base class upon which all the four different ValidationMethods inherit from.

Definition at line 42 of file Validate.h.

## Constructor & Destructor Documentation

## ◆ ValidationMethod()

RDKit::MolStandardize::ValidationMethod::ValidationMethod | ( |  | ) |
| default

## ◆ ~ValidationMethod()

virtual RDKit::MolStandardize::ValidationMethod::~ValidationMethod | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ copy()

virtual std::shared_ptr< ValidationMethod > RDKit::MolStandardize::ValidationMethod::copy | ( |  | ) | const
| pure virtual

Implemented in RDKit::MolStandardize::AllowedAtomsValidation, RDKit::MolStandardize::CompositeValidation, RDKit::MolStandardize::DisallowedAtomsValidation, RDKit::MolStandardize::DisallowedRadicalValidation, RDKit::MolStandardize::FeaturesValidation, RDKit::MolStandardize::FragmentValidation, RDKit::MolStandardize::Is2DValidation, RDKit::MolStandardize::IsotopeValidation, RDKit::MolStandardize::Layout2DValidation, RDKit::MolStandardize::MolVSValidation, RDKit::MolStandardize::NeutralValidation, RDKit::MolStandardize::NoAtomValidation, RDKit::MolStandardize::RDKitValidation, and RDKit::MolStandardize::StereoValidation.

## ◆ validate()

virtual std::vector< ValidationErrorInfo > RDKit::MolStandardize::ValidationMethod::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const
| pure virtual

Implemented in RDKit::MolStandardize::AllowedAtomsValidation, RDKit::MolStandardize::CompositeValidation, RDKit::MolStandardize::DisallowedAtomsValidation, RDKit::MolStandardize::DisallowedRadicalValidation, RDKit::MolStandardize::FeaturesValidation, RDKit::MolStandardize::FragmentValidation, RDKit::MolStandardize::Is2DValidation, RDKit::MolStandardize::IsotopeValidation, RDKit::MolStandardize::Layout2DValidation, RDKit::MolStandardize::NeutralValidation, RDKit::MolStandardize::NoAtomValidation, RDKit::MolStandardize::RDKitValidation, and RDKit::MolStandardize::StereoValidation.

The documentation for this class was generated from the following file:

- Validate.h